commit:     93b4bbd20e506a7758d5203da22d99a4ef14ae0f
Author:     Horea Christian <horea.christ <AT> yandex <DOT> com>
AuthorDate: Wed Apr 12 17:19:41 2017 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sun Apr 16 06:56:24 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=93b4bbd2

dev-python/traits: version bump to 4.6.0

Closes: https://github.com/gentoo/gentoo/pull/4412

 dev-python/traits/Manifest            |  1 +
 dev-python/traits/metadata.xml        | 50 ++++++++++++++++++++---------------
 dev-python/traits/traits-4.6.0.ebuild | 45 +++++++++++++++++++++++++++++++
 3 files changed, 75 insertions(+), 21 deletions(-)

diff --git a/dev-python/traits/Manifest b/dev-python/traits/Manifest
index 7fb3adc7675..0cbc58b65a8 100644
--- a/dev-python/traits/Manifest
+++ b/dev-python/traits/Manifest
@@ -1 +1,2 @@
 DIST traits-4.5.0.tar.gz 4853612 SHA256 
5293a8786030b0b243e059f52004355b6939d7c0f1be2eb5a605b63cca484c84 SHA512 
d506b4395395898eb824896d299bfcde609e100025cf9a55cd7d7c47615545efd3b007e46549e564fbfb2d5882b36ae676843f211f168b2557c504849c5ef582
 WHIRLPOOL 
fc9a1c41d09579df7cbb63ba17696b343bda707f0f95a2a5dd289b36fa4ded8088ea46f03259f616d9f081ff20fbce208adbc7913e0466ee6de56bc7e08718ae
+DIST traits-4.6.0.tar.gz 434937 SHA256 
5d82345e0a34b88e394964eea1be47419530027aef7f0b20ad315b6ec6c68370 SHA512 
0fce336696e4cbb1d4ba63a07ad42867cb179a9efa6c348623036bd6d2eb791302539ae89994b11acd5a9f1be42a0febeb517db1716342b78aa71ca1277fde99
 WHIRLPOOL 
4edddc716e2af68d000f7b81e49d8a77b6e9c3b34875634efc5fa611a89e732fb2ed3088db790e7f9915c721200753b3a3c71b95570b1889427618edfebffaca

diff --git a/dev-python/traits/metadata.xml b/dev-python/traits/metadata.xml
index b66607e5b62..434824c9e01 100644
--- a/dev-python/traits/metadata.xml
+++ b/dev-python/traits/metadata.xml
@@ -1,25 +1,33 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd";>
 <pkgmetadata>
-<maintainer type="project">
-  <email>pyt...@gentoo.org</email>
-  <name>Python</name>
-</maintainer>
-<longdescription lang="en">
-  The traits package from the Enthought Tool Suite provides a
-  metaclass with special attributes that are called traits. A trait
-  is a type definition that can be used for normal Python object
-  attributes, giving the attributes some additional characteristics:
-    * Initialization: A trait attribute can have a default value
-    * Validation: A trait attribute is manifestly typed.
-    * Delegation: The value of a trait attribute can be contained in another
-      object
-    * Notification: Setting the value of a trait attribute can fired
-      callbacks
-    * Visualization: With the TraitsUI package, GUIs can be generated
-      automatically from traited objects.
-</longdescription>
-<upstream>
-  <remote-id type="pypi">traits</remote-id>
-</upstream>
+       <maintainer type="person">
+               <email>horea.chr...@gmail.com</email>
+               <name>Horea Christian</name>
+       </maintainer>
+       <maintainer type="project">
+               <email>proxy-ma...@gentoo.org</email>
+               <name>Proxy Maintainers</name>
+       </maintainer>
+       <maintainer type="project">
+               <email>pyt...@gentoo.org</email>
+               <name>Python</name>
+       </maintainer>
+       <longdescription lang="en">
+               The traits package from the Enthought Tool Suite provides a
+               metaclass with special attributes that are called traits. A 
trait
+               is a type definition that can be used for normal Python object
+               attributes, giving the attributes some additional 
characteristics:
+                       * Initialization: A trait attribute can have a default 
value
+                       * Validation: A trait attribute is manifestly typed.
+                       * Delegation: The value of a trait attribute can be 
contained in 
+                       another object
+                       * Notification: Setting the value of a trait attribute 
can fired
+                       callbacks
+                       * Visualization: With the TraitsUI package, GUIs can be 
+                       generated automatically from traited objects.
+       </longdescription>
+       <upstream>
+               <remote-id type="pypi">traits</remote-id>
+       </upstream>
 </pkgmetadata>

diff --git a/dev-python/traits/traits-4.6.0.ebuild 
b/dev-python/traits/traits-4.6.0.ebuild
new file mode 100644
index 00000000000..480101a4440
--- /dev/null
+++ b/dev-python/traits/traits-4.6.0.ebuild
@@ -0,0 +1,45 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+PYTHON_COMPAT=( python{2_7,3_4,3_5} )
+
+inherit distutils-r1 virtualx
+
+DESCRIPTION="Enthought Tool Suite: Explicitly typed attributes for Python"
+HOMEPAGE="http://code.enthought.com/projects/traits/";
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~ppc64 ~x86 ~amd64-linux ~x86-linux"
+IUSE="test"
+
+RDEPEND="dev-python/numpy[${PYTHON_USEDEP}]"
+
+DEPEND="
+       dev-python/setuptools[${PYTHON_USEDEP}]
+       test? ( ${RDEPEND} )"
+
+python_prepare() {
+       if python_is_python3; then
+               einfo "Converting tests to Python 3 syntax"
+               2to3 -w -n --no-diffs traits/testing || die
+       fi
+}
+
+python_prepare_all() {
+       sed -i -e "s/'-O3'//g" setup.py || die
+       distutils-r1_python_prepare_all
+}
+
+python_compile() {
+       python_is_python3 || local -x CFLAGS="${CFLAGS} -fno-strict-aliasing"
+       distutils-r1_python_compile
+}
+
+python_test() {
+       cd "${BUILD_DIR}"/lib || die
+       nosetests || die
+}

Reply via email to